Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Create a catalog item.

POST
/customer-api/v1/catalog-item
curl --request POST \
--url https://your-instance.seventhings.com/customer-api/v1/catalog-item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "fields": { "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" } }'

Create an entry of the product catalog. Requires the product catalog feature and the right to create catalog items.

Media typeapplication/json

The field values of a catalog item, keyed like the fields of a read catalog item. A field that is not part of the catalog is rejected, as is a value for a field that must stay empty on a catalog item (e.g. a unique object field). Values for id, created_at, updated_at and updated_by_user_id are ignored.

object
fields
required

Fields defined in Template with its values, based on the type of the field. There is a difference with what can be send via POST/PUT/PATCH requests, and what will be returned via GET

This examples shows what data can be expected for ceraint field type:

POST/PUT/PATCH

{
    "ATTACHMENT": "array<string (fileUuid)>",
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": "int (asset id) | string (asset uuid)",
    "LINKED_LOCATION": "int (location id) | string (location uuid)",
    "LINKED_ROOM": "int (room id)| string (room uuid)",
    "LINKED_USER": "int (user id)| string (user uuid)",
    "LINKED_PERSON": "int (person id)| string (person uuid)",
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}

GET

{
    "ATTACHMENT": [
        {
            "uuid": "string (uuid)",
            "type": "string",
            "size": "int",
            "data_uri": "string",
            "file_uri": "string",
            "thumbnail_uri": "string",
        }
    ],
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_LOCATION": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_ROOM": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_USER": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_PERSON": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}
object
key
additional properties
any
Example
{
"<field_key_1>": "<field_value_1>",
"<field_key_2>": "<field_value_2>",
"<field_key_3>": "<field_value_3>"
}

Success

Location
string

The URL of the newly created catalog item.

Location-UUID
uuid

The UUID of the newly created catalog item.

Request body is missing or invalid or request data is invalid.

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource representation has no acceptable format.

Internal Server Error.